  <?php
/* $Id: index.php 6941 2014-10-26 23:18:08Z daintree $*/
error_reporting(E_ALL & ~E_NOTICE);
$PageSecurity=0;

include('includes/session.inc');
$Title=_('HRMS-Process Pay');
include('includes/newheader.php');

?>


		


  
 									
									<?php
$userid = $_SESSION['UserID'];
  if (isset($_GET['id'])) {
		$_SESSION['id'] = stripslashes($_GET['id']);
	}
	$calendarid = $_SESSION['id'];
		  if (isset($_GET['timesheetid'])) {
		$_SESSION['timesheetid'] = stripslashes($_GET['timesheetid']);
	}
	$timesheetid = $_SESSION['timesheetid'];

  if (isset($_GET['employeeid'])) {
		$_SESSION['employeeid'] = stripslashes($_GET['employeeid']);
	}
	$employeeid = $_SESSION['employeeid'];

$timenow = date('Y-m-d H:i:s');


if (isset($_POST['approve'])) {	
	
	if ($_POST['approvetype'] =='2'){
		
		//process timesheetid
		
 $sql38 = "UPDATE manual_timesheet SET approved='1',
                                       approved_by='" . $userid . "',
									   approved_date='" . $timenow . "'
						WHERE id= '" . $calendarid . "'
						AND timesheetid = '" . $timesheetid . "'";

			  

			$ErrMsg = _('The customer could not be updated because');
			$result38 = DB_query($sql38,$ErrMsg);

		
		
			


		
$message = "SUCCESS! This pay period has been approved for selected timesheet for your departments. ";
	echo "<script type='text/javascript'>alert('$message');</script>";
echo "<script type='text/javascript'>javascript:history.go(-1)</script>"; 
	exit();	

		
	}
	
	if ($_POST['approvetype'] =='1'){
			if ($userid =='rajnal'  ){
	
	 $sql38 = "UPDATE manual_timesheet SET approved='1',
                                       approved_by='" . $userid . "',
									   approved_date='" . $timenow . "'
						WHERE id= '" . $calendarid . "'
						AND department = '13'
						OR department = '14'
						OR department = '31'";

			  

			$ErrMsg = _('The customer could not be updated because');
			$result38 = DB_query($sql38,$ErrMsg);
		
}
		
		if ($userid =='ravinesh'  ){
	
	$sql38 = "UPDATE manual_timesheet SET approved='1',
                                       approved_by='" . $userid . "',
									   approved_date='" . $timenow . "'
						WHERE id= '" . $calendarid . "'
						AND department = '18'
						OR department = '19'
						OR department = '28'";

			  

			$ErrMsg = _('The customer could not be updated because');
			$result38 = DB_query($sql38,$ErrMsg);
		
}
			if ($userid =='admin'  ){
	
	 $sql38 = "UPDATE manual_timesheet SET approved='1',
                                       approved_by='" . $userid . "',
									   approved_date='" . $timenow . "'
						WHERE id= '" . $calendarid . "'
						AND department = '23'
						";

			  

			$ErrMsg = _('The customer could not be updated because');
			$result38 = DB_query($sql38,$ErrMsg);
		
}
		if ($userid =='pchand'  ){
	
	 $sql38 = "UPDATE manual_timesheet SET approved='1',
                                       approved_by='" . $userid . "',
									   approved_date='" . $timenow . "'
						WHERE id= '" . $calendarid . "'
						AND department = '23'
						OR department = '24'";

			  

			$ErrMsg = _('The customer could not be updated because');
			$result38 = DB_query($sql38,$ErrMsg);
		
}
//$timenow = date('Y-m-d H:i:s');

if ($userid =='crispus' ){
	
 $sql38 = "UPDATE manual_timesheet SET approved='1',
                                       approved_by='" . $userid . "',
									   approved_date='" . $timenow . "'
						WHERE id= '" . $calendarid . "'
						AND department = '9'
					";

			  

			$ErrMsg = _('The customer could not be updated because');
			$result38 = DB_query($sql38,$ErrMsg);
		
}

if ($userid =='yosh'){
 $sql38 = "UPDATE manual_timesheet SET approved='1',
                                       approved_by='" . $userid . "',
									   approved_date='" . $timenow . "'
						WHERE id= '" . $calendarid . "'
						AND department = '11'
						'";

			  

			$ErrMsg = _('The customer could not be updated because');
			$result38 = DB_query($sql38,$ErrMsg);
		
}
  

if ($userid =='douglas' || $userid =='george' ){
	
	 $sql38 = "UPDATE manual_timesheet SET approved='1',
                                       approved_by='" . $userid . "',
									   approved_date='" . $timenow . "'
						WHERE id= '" . $calendarid . "'
						AND department = '7'
						";

			  

			$ErrMsg = _('The customer could not be updated because');
			$result38 = DB_query($sql38,$ErrMsg);
		
}


if ($userid =='losa'  ){
	
	 $sql38 = "UPDATE manual_timesheet SET approved='1',
                                       approved_by='" . $userid . "',
									   approved_date='" . $timenow . "'
						WHERE id= '" . $calendarid . "'
						AND department = '6'
						OR department = '8'";

			  

			$ErrMsg = _('The customer could not be updated because');
			$result38 = DB_query($sql38,$ErrMsg);
		
}

if ($userid =='mike' ){
	
 $sql38 = "UPDATE manual_timesheet SET approved='1',
                                       approved_by='" . $userid . "',
									   approved_date='" . $timenow . "'
						WHERE id= '" . $calendarid . "'
						AND department = '2'
						OR department = '10'";

			  

			$ErrMsg = _('The customer could not be updated because');
			$result38 = DB_query($sql38,$ErrMsg);
		
}

	
			$fijitime = date("d-m-Y h:i:sa", $timenow);

			

			$ConfirmationText = _('All Timesheets for Pay period- '.$calendarid.' has been approved by manager: '.$userid.' at '.$fijitime .' at their dedicated departments ');
	       

			
			$EmailSubject = _('Timesheet Approved');
		
		$jprasad = 'jprasad@wormaldfj.com';
		$pritika = 'pchand@wormaldfj.com';
		$ravi = 'rdeo@wormaldfj.com';
        $raj = 'rajnal@wormaldfj.com';
		$sharukh = 'sharukh@wormaldfj.com';
		
mail($sharukh,$EmailSubject,$ConfirmationText);
		mail($jprasad,$EmailSubject,$ConfirmationText);
		mail($pritika,$EmailSubject,$ConfirmationText);
		mail($raj,$EmailSubject,$ConfirmationText);
		mail($ravi,$EmailSubject,$ConfirmationText);
	
$message = "SUCCESS! This pay period has been approved for all timesheet entries for your departments. ";
	echo "<script type='text/javascript'>alert('$message');</script>";
echo "<script type='text/javascript'>javascript:history.go(-1)</script>"; 
	exit();	
		
	} 
	
	
	
	
}else{

echo '<form method="post" action="' . htmlspecialchars($_SERVER['PHP_SELF'],ENT_QUOTES,'UTF-8') . '">';


echo '<p>Please choose how you want to approve </p>';




	echo '<div class="col-sm-10">';// div class=?
	echo '<input type="hidden" name="FormID" value="' . $_SESSION['FormID'] . '" />';
echo '<table class="table">';
echo '<div>';



echo '<tr>
			<td>' ._('Approve Type'). ':</td>
			
			<td>
			<select name="approvetype" required="required">
			
			
			
			
			<option value="1">' . _('All Employees in this pay period ') .$calendarid. '</option>
	        <option value="2">' . _('This Timesheet: ') . $timesheetid. _(' This EmployeeId: ').$employeeid. _(' Only.'). '</option>
			
			</td>
			
		</tr>';

echo '</td>';


	
	
echo '<div><input type="submit"  name="approve" value="' ._('Approve') . '" />
		</div>
		';



echo '</div>';

echo '</div>';
	echo '</table>';

}
echo '</div>';
  
 	echo '</div >';


echo '<div class="row"> <div class="col-sm-12" >';

//echo '<iframe src="Reporttimesheetsuva-GFS.php" height="400" width="100%">
  // alternative content for browsers which do not support iframe.
//</iframe>';		?>
										
						</div>

						<!--end:: Widgets/Stats-->

						<!--Begin::Section-->
						

		<!-- end::Quick Sidebar -->

		<!-- begin::Scroll Top -->
		<div id="m_scroll_top" class="m-scroll-top">
			<i class="la la-arrow-up"></i>
		</div>

		<!-- end::Scroll Top -->

		<!-- begin::Quick Nav -->
		

		<!-- begin::Quick Nav -->
<script src="includes/vendors/owl.carousel/dist/owl.carousel.js" type="text/javascript"></script>

		<!--end::Page Scripts -->
	</body>

	<!-- end::Body -->
</html>
 
      
<?php



/*The module link codes are hard coded in a switch statement below to determine the options to show for each tab */
include('includes/MainMenuLinksArray.php');

if (isset($SupplierLogin) AND $SupplierLogin==1){
	echo '<table class="table_index">
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/SupplierTenders.php?TenderType=1">' . _('View or Amend outstanding offers') . '</a></p>
			</td>
			</tr>
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/SupplierTenders.php?TenderType=2">' . _('Create a new offer') . '</a></p>
			</td>
			</tr>
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/SupplierTenders.php?TenderType=3">' . _('View any open tenders without an offer') . '</a></p>
			</td>
			</tr>
		</table>';
	include('includes/footer.inc');
	exit;
} elseif (isset($CustomerLogin) AND $CustomerLogin==1){
	echo '<table class="table_index">
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/CustomerInquiry.php?CustomerID=' . $_SESSION['CustomerID'] . '">' . _('Account Status') . '</a></p>
			</td>
			</tr>
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/SelectOrderItems.php?NewOrder=Yes">' . _('Place An Order') . '</a></p>
			</td>
			</tr>
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/SelectCompletedOrder.php?SelectedCustomer=' . $_SESSION['CustomerID'] . '">' . _('Order Status') . '</a></p>
			</td>
			</tr>
		</table>';

	//include('includes/footer.inc');
	exit;
}

if (isset($_GET['Application'])){ /*This is sent by this page (to itself) when the user clicks on a tab */
	$_SESSION['Module'] = $_GET['Application'];
}








//include('includes/footer.inc');

function GetRptLinks($GroupID) {
/*
This function retrieves the reports given a certain group id as defined in /reports/admin/defaults.php
in the acssociative array $ReportGroups[]. It will fetch the reports belonging solely to the group
specified to create a list of links for insertion into a table to choose a report. Two table sections will
be generated, one for standard reports and the other for custom reports.
*/
	global $db, $RootPath, $ReportList;
	require_once('reportwriter/languages/en_US/reports.php');
	require_once('reportwriter/admin/defaults.php');
	$GroupID=$ReportList[$GroupID];
	$Title= array(_('Custom Reports'), _('Standard Reports and Forms'));

	$sql= "SELECT id,
				reporttype,
				defaultreport,
				groupname,
				reportname
			FROM reports
			ORDER BY groupname,
					reportname";
	$Result=DB_query($sql,'','',false,true);
	$ReportList = '';
	while ($Temp = DB_fetch_array($Result)) $ReportList[] = $Temp;

	$RptLinks = '';
	for ($Def=1; $Def>=0; $Def--) {
        $RptLinks .= '<li class="menu_group_headers">';
        $RptLinks .= '<b>' .  $Title[$Def] . '</b>';
        $RptLinks .= '</li>';
		$NoEntries = true;
		if ($ReportList) { // then there are reports to show, show by grouping
			foreach ($ReportList as $Report) {
				if ($Report['groupname']==$GroupID AND $Report['defaultreport']==$Def) {
                    $RptLinks .= '<li class="menu_group_item">';
					$RptLinks .= '<p>&bull; <a href="' . $RootPath . '/reportwriter/ReportMaker.php?action=go&amp;reportid=' . $Report['id'] . '">' . _($Report['reportname']) . '</a></p>';
					$RptLinks .= '</li>';
					$NoEntries = false;
				}
			}
			// now fetch the form groups that are a part of this group (List after reports)
			$NoForms = true;
			foreach ($ReportList as $Report) {
				$Group=explode(':',$Report['groupname']); // break into main group and form group array
				if ($NoForms AND $Group[0]==$GroupID AND $Report['reporttype']=='frm' AND $Report['defaultreport']==$Def) {
                    $RptLinks .= '<li class="menu_group_item">';
					$RptLinks .= '<img src="' . $RootPath . '/css/' . $_SESSION['Theme'] . '/images/folders.gif" width="16" height="13" alt="" />&nbsp;';
					$RptLinks .= '<p>&bull; <a href="' . $RootPath . '/reportwriter/FormMaker.php?id=' . $Report['groupname'] . '"></p>';
					$RptLinks .= $FormGroups[$Report['groupname']] . '</a>';
					$RptLinks .= '</li>';
					$NoForms = false;
					$NoEntries = false;
				}
			}
		}
		if ($NoEntries) $RptLinks .= '<li class="menu_group_item">' . _('There are no reports to show!') . '</li>';
	}
	return $RptLinks;
}
	
?>
